package com.qxgmat.data.constants.enums.user;

public enum PrepareExaminationTime {
    ONE_MONTH("one_month"),
    TWO_MONTH("two_month"),
    THREE_MONTH("three_month"),
    SIX_MONTH("six_month"),
    ONE_YEAR("one_year")
    ;

    public String key;
    private PrepareExaminationTime(String key){
        this.key = key;
    }

    public static PrepareExaminationTime ValueOf(String name){
        if (name == null || name.isEmpty()) return null;
        return PrepareExaminationTime.valueOf(name.toUpperCase());
    }
}
